Subject: Re: 2.6.37 vlans on bnx2 not functional, panic with tcpdump

From: "Michael Chan" <[email-masked]>
Date: Thu, 6 Jan 2011 15:52:21 -0800

On Thu, 2011-01-06 at 13:32 -0800, Iain Paton wrote:
> Hi,
> 
> vlans don't appear to be functional on my HP DL380G6 with onboard bnx2
> adapter using vanilla 2.6.37 kernel. No tagged vlan traffic 
> is arriving at the vlan interface.

VLANs on net-next-2.6 kernel works for me on bnx2 devices.  I'll try
2.6.37 next.

> 
> To reproduce, use vanilla 2.6.37 built with the attached config
> 
> ip link add link eth0 name v406 type vlan id 406
> ip link set up dev eth0
> ip link set up dev v406
> ip addr add 10.251.0.3/16 dev v406
> 
> from another machine on the same vlan run a ping to 10.251.0.3, ping
> returns destination host unreachable.
> 
> tcpdump -n -e -i v406  shows no traffic.
> 
> If I then run
> 
> tcpdump -n -e -i eth0
> 
> while the ping is still running I get
> 
> [  112.190114] BUG: unable to handle kernel NULL pointer dereference
> at 0000000000000008